Gallery Platform API
Reference

Get an inbox thread

Returns the thread with its messages (bodies), oldest first.

GET
/gallery/inbox/threads/{id}

Returns the thread with its messages (bodies), oldest first.

Authorization

bearerAuth inbox:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: inbox:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "channel": "email",  "contact_id": "string",  "contact_name": "string",  "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",  "provider_thread_id": "string",  "subject": "string",  "last_from": "string",  "last_snippet": "string",  "last_message_at": "string",  "unread_count": -9007199254740991,  "state": "open",  "assigned_to": "string",  "snooze_until": "string",  "created_at": "string",  "updated_at": "string",  "messages": [    {      "id": "string",      "thread_id": "string",      "channel": "email",      "direction": "inbound",      "provider_message_id": "string",      "in_reply_to": "string",      "from_handle": "string",      "to_handles": [        "string"      ],      "body_text": "string",      "body_html": "string",      "occurred_at": "string",      "read_at": "string",      "has_attachments": true,      "created_at": "string"    }  ]}